curl --request POST \
--url https://api.kameleoon.com/experiments/{experimentId}/opportunityDetection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"mainGoalId": 123
}
'[
{
"segmentInfo": {
"estimatedUplift": 123,
"segmentId": "<string>",
"segmentName": "<string>",
"segmentReliability": 123,
"segmentSize": 123
},
"variationId": "<string>"
}
]Run opportunity detection and get winner pairs for experiment
curl --request POST \
--url https://api.kameleoon.com/experiments/{experimentId}/opportunityDetection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"mainGoalId": 123
}
'[
{
"segmentInfo": {
"estimatedUplift": 123,
"segmentId": "<string>",
"segmentName": "<string>",
"segmentReliability": 123,
"segmentSize": 123
},
"variationId": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?